
#include "netinc.h"
#include "neterr.h"
#include "netwrap.h"
#include "commands.h"
#include "netio.h"
#include "iowrap.h"


/*
 * sock_obj
 *

   Low level network functions, including socket support

 */
netwrap sock_obj;


/*
 * netio_obj

  Hight level network I/O package, includes support for SendCommand,
  RecvCommand, Writen, Readline, read_block, etc...  

*/

/* Initialize static variables that are shared
   by all instances of the netio class.
 */
Boolean  netio::mismatch = FALSE;
COMMANDS netio::mode = ascii_mode;

netio netio_obj;

/*
 * File I/O and file operations
 */
iowrap  iofunc;


/*
 * Get commands from the user
 */
client_commands com;
