
/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/

#include "netinc.h"
#include "netserv.h"


char *net_services::GetCwd( char *dirbuf, const size_t bufsize )
{
  char *pChar;

  pChar = NULL;

  if (dirbuf != NULL && bufsize > 0) {
    pChar = getcwd( dirbuf, bufsize );
    if (pChar == NULL) {
      if (errno == ERANGE) {
	printf("GetCwd: buffer too small\n");
      }
    }
  }

  return pChar;
} // GetCwd
