
#ifndef _NETWRAP_H_
#define _NETWRAP_H_


/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/


/*
 * netwrap
 *

   This class contains wrapper functions for the various network
   intrinsic functions.

 */
class netwrap : private neterr
{
public:
  SOCKET Socket(int family, int type, int protocol);
  void Bind( SOCKET listen_socket, struct sockaddr *pSockAddr, int data_size);
  void Listen( SOCKET listen_socket, int backlog );
  void Connect( SOCKET conn_socket, struct sockaddr *pServer, 
		size_t data_size );
  SOCKET Accept( SOCKET listen_socket, struct sockaddr *pFrom, 
		 int *pFrom_size );
}; // netwrap


#endif
